> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entropi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Interview

> Updates an Interview by interviewID



## OpenAPI

````yaml POST /v1/interviews/updateOne
openapi: 3.0.1
info:
  title: Entropi API
  description: A guide to Entropi's public APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://dev.entropi.app
security:
  - bearerAuth: []
paths:
  /v1/interviews/updateOne:
    post:
      description: Updates an Interview by interviewID
      requestBody:
        required: true
        description: JSON representation of the Interview with updated fields
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Interview'
      responses:
        '200':
          description: API Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      interviewID:
                        type: string
                        description: interviewID of item that was updated
                      status:
                        type: string
                        description: Outcome of the operation
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Interview:
      type: object
      required:
        - productID
        - interviewName
        - guidelines
        - interviewID
      properties:
        interviewID:
          type: string
          description: Interview ID
        productID:
          type: string
          description: ID of the Product the interview is about
        userID:
          type: string
          description: userID associated with this interview
        interviewName:
          type: string
          description: A name for the interview
        guidelines:
          type: string
          description: >-
            Interview guidelines, including any insights you hope to extract,
            specific questiosn you'd like to ask, etc.
        interviewer:
          type: string
          description: >-
            ID associated with the Interviewer Agent assigned to this interview.
            Defaults to Eve from Entropi
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````